Summary: 	Games for children with plugins
Name: 		childsplay
Version: 	1.5.1
Release: 	%mkrel 1
Source0: 	http://prdownloads.sourceforge.net/childsplay/%{name}-%{version}.tgz
Patch0:		setup.py.diff
URL: 		http://childsplay.sourceforge.net/
License: 	GPLv3
Group: 		Games/Other
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	python
Requires: 	pygame
Requires:	python-numpy
Requires:	pygtk2.0
Requires:	python-sqlalchemy
BuildArch:	noarch

%description
Childsplay is a 'suite' of educational games for young children. It's written
in Python and uses the SDL-libraries to make it more games-like then, for
instance, gcompris. The aim is to be educational and at the same time be fun
to play.

NOTE: This package includes all games currently available for childsplay.

%prep
%setup -q
%patch0 -p0

%install
rm -rf $RPM_BUILD_ROOT

PREFIX=%buildroot%_prefix python setup.py install --root="%buildroot" --optimize=1

%find_lang %{name} --all-name

rm -fr %buildroot%_datadir/doc/*

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Games for children with plugins
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;KidsGame;
EOF

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/64x64/apps
install -p -m 644 lib/SPData/menu/default/logo_cp_32x32.png \
  $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -p -m 644 lib/SPData/menu/default/logo_cp_64x64.png \
  $RPM_BUILD_ROOT%{_iconsdir}/hicolor/64x64/apps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README* doc/*
%{_bindir}/*
%{_datadir}/childsplay_sp
%{_datadir}/sp_alphabetsounds
%{_datadir}/applications/*.desktop
%py_puresitedir/*
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Sat Dec 25 2010 Funda Wang <fwang@mandriva.org> 1.5.1-1mdv2011.0
+ Revision: 624781
- new version 1.5.1

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.90.2-3mdv2011.0
+ Revision: 617033
- the mass rebuild of 2010.0 packages

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.90.2-2mdv2010.0
+ Revision: 437027
- rebuild

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 0.90.2-1mdv2009.1
+ Revision: 355263
- update to new version 0.90.2

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.90.1-4mdv2009.0
+ Revision: 243879
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.90.1-2mdv2008.1
+ Revision: 140692
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Funda Wang <fwang@mandriva.org> 0.90.1-2mdv2008.0
+ Revision: 77741
- switch to fedora spec file

* Wed Aug 29 2007 Funda Wang <fwang@mandriva.org> 0.90.1-1mdv2008.0
+ Revision: 73298
- New version 0.90.1

* Mon Aug 27 2007 Funda Wang <fwang@mandriva.org> 0.85.1-2mdv2008.0
+ Revision: 72155
- fix desktop entry comment

* Fri Jun 29 2007 Funda Wang <fwang@mandriva.org> 0.85.1-1mdv2008.0
+ Revision: 45672
- New version
- Import childsplay



* Mon Aug 28 2006  Lenny Cartier <lenny@mandriva.com> 0.83-1mdv2007.0
- 0.83 (app & plugins)
- xdg

* Sun May 07 2006 Jerome Soyer <saispo@mandriva.org> 0.81.8-1mdk
- New release 0.81.8

* Wed Mar 22 2006 Lenny Cartier <lenny@mandriva.com> 0.81.7-1mdk
- 0.81.7

* Thu Jan 19 2006 Lenny Cartier <lenny@mandriva.com> 0.81.5-1mdk
- 0.81.5
- update plugins to 0.80.6

* Mon Jan 16 2006 Lenny Cartier <lenny@mandriva.com> 0.81.2-1mdk
- 0.81.2
- update plugins to 0.80.3

* Mon Nov 14 2005 Michael Scherer <misc@mandriva.org> 0.81.1-1mdk
- New release 0.81.1

* Sun Sep 25 2005 Michael Scherer <misc@mandriva.org> 0.80.3-2mdk
- mkrel
- fix init script
- fix missing files ( thanks Daniel Le Berre for bugreport )

* Mon Aug 29 2005 Michael Scherer <misc@mandriva.org> 0.80.3-1mdk
- New release 0.80.3
- remove patch1 ( no longer used )

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.80.1.1-1mdk
- 0.80.1.1

* Fri Jan 14 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.80.1-1mdk
- 0.80.1
- fix locations (patch0, patch1)

* Mon Dec 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.80-1mdk
- update main and plugins to 0.80

* Mon Oct 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.72-1mdk
- update main and plugins to 0.72

* Tue Jun 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.71-1mdk
- update main and plugins to 0.71

* Wed Jun  9 2004 Michael Scherer <misc@mandrake.org> 0.70-1mdk
- New release 0.70
- rpmbuildupdate aware
- new menu

* Mon Dec 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.69-1mdk
- update main and plugins to 0.69-2
- fix some paths during install

* Sun Aug 24 2003 Austin Acton <aacton@yorku.ca> 0.68-1mdk
- 0.68

* Thu Mar 6 2003 Austin Acton <aacton@yorku.ca> 0.66-2mdk
- fix icon

* Tue Mar 4 2003 Austin Acton <aacton@yorku.ca> 0.66-1mdk
- 0.66

* Thu Feb 6 2003 Austin Acton <aacton@yorku.ca> 0.65-1mdk
- initial package
